> ## Documentation Index
> Fetch the complete documentation index at: https://www.bolna.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Update a Sub-account

> Use this Bolna API endpoint to partially modify and update sub-account properties, including its name, concurrency limits, and call capacity settings.

<Note>
  Currently, only the following agent attributes can be updated for the `PATCH` update.

  * `allow_concurrent_calls`
  * `name`
</Note>


## OpenAPI

````yaml PATCH /sub-accounts/{sub_account_id}
openapi: 3.1.0
info:
  title: Bolna API
  description: >-
    Use and leverage Bolna Voice AI using APIs through HTTP requests from any
    language in your applications and workflows.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.bolna.ai
    description: Production server
security:
  - bearerAuth: []
paths:
  /sub-accounts/{sub_account_id}:
    patch:
      description: Patch update a sub-account
      parameters:
        - in: path
          name: sub_account_id
          description: The sub-account ID (UUID).
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        description: Fields to patch on the sub-account.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubAccountPatch'
        required: true
      responses:
        '200':
          description: Updated sub-account
          content:
            application/json:
              example:
                message: success
                state: updated
        '400':
          description: Bad request (e.g., concurrency limit exceeded or invalid fields)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Concurrency Limit Exceeded:
                  summary: Concurrency limit exceeded
                  value:
                    message: Concurrency limit exceeded
                    details:
                      requested: 50
                      available: 15
                      account_limit: 50
                      subaccount_usage: 35
                Invalid Fields:
                  summary: No valid fields provided
                  value:
                    error: No valid fields provided
                    status: failure
components:
  schemas:
    SubAccountPatch:
      type: object
      properties:
        name:
          type: string
          description: Name of the sub-account
          example: alpha-007
        allow_concurrent_calls:
          type: integer
          description: The number of concurrent calls that can be made with the sub-account
          example: 10
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````